# Remove a Token

Remove a token from your tenant's list. For the `owner`, `tenantadmin`, `non_signing_admin` and `editor` roles, on their own tenant.

## Endpoint

### `DELETE /v1/admin/tenants/{tenantId}/tokens/{tokenId}`

Authentication: bearer token required.

Deletes a token from the tenant.

**Path parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `tenantId` | string | yes | Your tenant's id |
| `tokenId` | string | yes | Token UUID |

**Responses**

`204` No Content

`404` Not Found

```json
{ "error": "NotFoundError", "message": "Token not found" }
```

**Example request**

```bash
curl -X DELETE https://api.aureahub.com/v1/admin/tenants/TENANT_ID/tokens/TOKEN_ID \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```

---

Web version: https://docs.aureahub.com/#admin-tokens-delete
